Subject: Re: [PATCH -next 0/2] brcmfmac: AP STA concurrency patches from Cypress/Infineon

From: Kalle Valo <[email-masked]>
Date: Wed, 10 Aug 2022 08:40:36 +0300

Alvin Šipraga <[email-masked]> writes:

> From: Alvin Šipraga <[email-masked]>
>
> We are using these two patches from Infineon (formerly Cypress) to
> enable AP+STA mode on our CYW89359-based platform. They come from the
> FMAC driver release package distributed by Infineon.
>
> The key thing here is that apsta needs to be set to 1 in order for AP
> mode to work concurrently with STA mode. I cannot speak for other
> chipsets so a review from the Broadcom side would be welcome here.
>
> For the ARP/ND offload being disabled in AP mode, I am of the view that
> this is correct, but while Arend has given his Reviewed-by on it
> previously, it was part of a different series [1], so I am sending
> without in order to jog some memories.
>
> [1] https://lore.kernel.org/linux-wireless/[email-masked]/#t
>
> Soontak Lee (1):
>   brcmfmac: Support multiple AP interfaces and fix STA disconnection
>     issue
>
> Ting-Ying Li (1):
>   brcmfmac: don't allow arp/nd offload to be enabled if ap mode exists

Arend, Franky & Hante: could you please take a look at this patchset?
Also I hope that people from Infineon could comment.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches